/**
 * @packageDocumentation
 * @module Voice
 * @internalapi
 */
declare function request(method: any, params: any, callback: any): void;
/**
 * Use XMLHttpRequest to get a network resource.
 * @param {String} method - HTTP Method
 * @param {Object} params - Request parameters
 * @param {String} params.url - URL of the resource
 * @param {Array}  params.headers - An array of headers to pass [{ headerName : headerBody }]
 * @param {Object} params.body - A JSON body to send to the resource
 * @returns {response}
 */
declare const Request: typeof request;
export default Request;
